SYNTAXHIGHLIGHT(1)

Name
syntaxhighlight - Create OpenDocument with syntax highlighted programming code

Synopsis

syntaxhighlight [-e encoding] [-l language] [inputfile] [outputfile]

Description

The syntaxhighlight program will read a source code file, format it with syntax highlighting and write an OpenDocument text file.

Options

-e encoding
    Enter the encoding of the source file. Common encodings are: iso-8859-1, cp1252, ascii and utf-8 (default).

-l language
    Programming language of the input file. If not specified, it is guessed fron the file ending. Values can be: Python, HTML, C, C++ and PHP.

Example

    syntaxhighlight -e cp1252 -l Python example.py example.odt

Author

Søren Roug
    Original author